CIOData Class Reference
Input/output of files

helper class to derive from for data that can be loaded and stored to a disk. More...

`#include <mia/core/iodata.hh>`

Inheritance diagram for CIOData:
[legend]

## Public Member Functions

const std::string & | get_source_format () const
void | set_source_format (const std::string &format)

## Detailed Description

helper class to derive from for data that can be loaded and stored to a disk.

Interface halper class for all IO data classes - defines the get/set format functions.

Definition at line 36 of file iodata.hh.

## Member Function Documentation

## get_source_format()

const std::string & CIOData::get_source_format | ( |  | ) | const

Returns
  the file format the data was loaded from

## set_source_format()

void CIOData::set_source_format | ( | const std::string & | format | ) |

Set the file format, the data was loaded from

Parameters

  format |

The documentation for this class was generated from the following file:

- iodata.hh